Loading...
Searching...
No Matches
gitfan::facet Class Reference

`#include <gitfan.h>`

## Public Member Functions

| facet ()
| facet (const facet &f)
| facet (const gfan::ZCone &c, const gfan::ZVector &v, const gfan::ZVector &w)
| ~facet ()
gfan::ZCone | getEta ()
gfan::ZVector | getInteriorPoint ()
gfan::ZVector | getFacetNormal ()

## Private Attributes

gfan::ZCone | eta
gfan::ZVector | interiorPoint
gfan::ZVector | facetNormal

## Friends

struct | facet_compare

## Detailed Description

Definition at line 17 of file gitfan.h.

## Constructor & Destructor Documentation

## facet() [1/3]

facet::facet | ( |  | ) |

Definition at line 28 of file gitfan.cc.

:
eta(gfan::ZCone()),
interiorPoint(gfan::ZVector()),
facetNormal(gfan::ZVector())
{
}
gitfan::facet::eta
gfan::ZCone eta
Definition gitfan.h:19
gitfan::facet::facetNormal
gfan::ZVector facetNormal
Definition gitfan.h:21
gitfan::facet::interiorPoint
gfan::ZVector interiorPoint
Definition gitfan.h:20

## facet() [2/3]

facet::facet | ( | const facet & | f | ) |

Definition at line 35 of file gitfan.cc.

:
eta(f.eta),
interiorPoint(f.interiorPoint),
facetNormal(f.facetNormal)
{
#ifndef SING_NDEBUG
gfan::ZCone c = f.eta;
gfan::ZVector v = f.interiorPoint;
gfan::ZVector w = f.facetNormal;
assume(c.ambientDimension() == (int)v.size());
assume(c.ambientDimension() == (int)w.size());
assume(c.contains(v));
assume(!c.contains(w));
#endif
}
f
FILE * f
Definition checklibs.c:9
w
const CanonicalForm & w
Definition facAbsFact.cc:51
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39
assume
#define assume(x)
Definition mod2.h:389

## facet() [3/3]

facet::facet | ( | const gfan::ZCone & | c,
|  | const gfan::ZVector & | v,
|  | const gfan::ZVector & | w )

Definition at line 51 of file gitfan.cc.

:
eta(c),
interiorPoint(v),
facetNormal(w)
{
#ifndef SING_NDEBUG
assume(c.ambientDimension() == (int)v.size());
assume(c.ambientDimension() == (int)w.size());
assume(c.contains(v));
assume(!c.contains(w));
#endif
}

## ~facet()

facet::~facet | ( |  | ) |

Definition at line 64 of file gitfan.cc.

{
#ifndef SING_NDEBUG
gfan::ZCone c = this->eta;
gfan::ZVector v = this->interiorPoint;
gfan::ZVector w = this->facetNormal;
assume(c.ambientDimension() == (int)v.size());
assume(c.ambientDimension() == (int)w.size());
assume(c.contains(v));
assume(!c.contains(w));
#endif
}

## Member Function Documentation

## getEta()

gfan::ZCone gitfan::facet::getEta | ( |  | ) |

inline

Definition at line 30 of file gitfan.h.

{ return this->eta; };

## getFacetNormal()

gfan::ZVector gitfan::facet::getFacetNormal | ( |  | ) |

inline

Definition at line 32 of file gitfan.h.

{ return this->facetNormal; };

## getInteriorPoint()

gfan::ZVector gitfan::facet::getInteriorPoint | ( |  | ) |

inline

Definition at line 31 of file gitfan.h.

{ return this->interiorPoint; };

## Friends And Related Symbol Documentation

## facet_compare

friend struct facet_compare

friend

Definition at line 34 of file gitfan.h.

## Field Documentation

## eta

gfan::ZCone gitfan::facet::eta

private

Definition at line 19 of file gitfan.h.

## facetNormal

gfan::ZVector gitfan::facet::facetNormal

private

Definition at line 21 of file gitfan.h.

## interiorPoint

gfan::ZVector gitfan::facet::interiorPoint

private

Definition at line 20 of file gitfan.h.

The documentation for this class was generated from the following files:

- Singular/dyn_modules/gitfan/gitfan.h
- Singular/dyn_modules/gitfan/gitfan.cc